<?php

namespace Config;

use CodeIgniter\Config\BaseConfig;

class PiratePortal extends BaseConfig {
    
    /**
     * The reduct price for affiliation to the Parti Pirate
     * @var int 
     */
    public $reductPrice = 15;

    /**
     * The full price for affiliation to the Parti Pirate
     * @var int 
     */
    public $fullPrice = 45;

    /**
     * The maximum authorized amount from the law
     * @var int 
     */
    public $maximumAmount = 7500;

    /**
     * The tax credit percentage
     * @var int 
     */
    public $taxCreditPercentage = 66;

    /**
     * The URL of Articles
     * @var string
     */
    public $articlesGitUrl = ENVIRONMENT == 'development' ? 'https://sources.partipirate.org/f_to_k/articles/-/tree/master' : 'https://sources.partipirate.org/farlistener/articles/-/tree/master';

    /**
     * The number of articles displayed on the Homepage
     * @var int
     */
    public $articlesQuantityHome = ENVIRONMENT == 'development' ? 5 : 3;

    /**
     * The amount of seconds articles are stored in cache
     * @var int
     */
    public $articlesCacheTimeout = ENVIRONMENT == 'development' ? /* 1*DAY*/ 1*SECOND	: 1*WEEK;

}