<?php

namespace App\Controllers;

use App\Models\GitModel;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class Specialpage extends PortalController {

	/**
	 * Constructor.
	 *
	 * @param RequestInterface  $request
	 * @param ResponseInterface $response
	 * @param LoggerInterface   $logger
	 */
	public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger) {
        error_reporting(E_ALL);
        ini_set("display_errors", 1);

		parent::initController($request, $response, $logger);
		
		$this->piratePortal = new \Config\PiratePortal();

		$this->gitModel = new GitModel();
		$this->gitModel->repository = $this->piratePortal->articlesGitUrl;
	}
	
	public function showPage($path) {
//		$data = $this->getMinimalData();

		$cacheKey = GitModel::getSpecialPageCacheKey($path);

		$cache = \Config\Services::cache();

		$contentCache = $cache->get($cacheKey);
		if (!$contentCache) {
			$article = $this->gitModel->getArticle($path, 4);

			$cache->save($cacheKey, json_encode($article), 2592000);
		}
		else {
			$article = json_decode($contentCache, true);
		}

		return $this->fullView('SpecialPage/page', array("article" => $article, "title" => "Parti Pirate - " . $article["TITRE"], "debate" => null));
	}
}