<style>
figcaption li:not(:last-child):after {
    content: ",";
}
figcaption li {
    display: inline;
}    
</style>

<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 1200px;">

    <div class="w-1/3 float-right">

<?php   if (count($article["summary"])) { ?>
        <section id="toc" class="rounded-md p-3 text-sm mb-5 bg-black-87">
            <ul class="list-disc pl-5">
<?php       foreach($article["summary"] as $index => $entry) { ?>
                <li style="margin-left: <?=($entry["level"] - 1) * 10?>px"><a href="#summary-<?=$index?>" class="no-underline hover:underline uppercase"><?=$entry["label"]?></a></li>
<?php       } ?>
            </ul>
        </section>
<?php   } ?>

<?php   if (count($article["LIENS"])) { ?>
        <section id="links" class="rounded-md p-3 text-sm bg-black-87">
            <ul class="list-disc pl-5">
<?php       foreach($article["LIENS"] as $link) { 
                if ($link["type"] == "source") continue; ?>
                <li><a href="<?=$link["url"]?>" target="_blank" class="no-underline hover:underline"><?=(isset($link["description"]) && $link["description"]) ? $link["description"] : $link["url"] ?></a></li>
<?php       } ?>
            </ul>
        </section>
<?php   } ?>

    </div>

<figure class="md:flex md:p-0 mb-10">
<?php   if (isset($article["thumb"])) { ?>
    <img class="w-48 md:w-48" src="<?=$article["thumb"]?>" alt="Image d'illustration">
<?php   } ?>
    <div class="pt-3 md:p-3 text-left md:text-left space-y-5">
        <figcaption class="font-medium space-y-3">
            <h1 class="text-xl font-bold"><?=$article["TITRE"]?></h1>

<?php   if (count($article["TAGS"])) { ?>
            <ul style="color: #9500ff">
<?php   
            foreach($article["TAGS"] as $tag) { ?>
                <li><?=$tag ?></li>
<?php       } ?>
            </ul>
<?php   } ?>

            <div id="article-date" class="">Publié le
<?php
                if(strlen($article["DATE"]) == 4) {
                    $articleDate = new DateTime($article["DATE"].'-01');
                    $articleDate = $articleDate->format("Y");
                }
                // date contains only the Year and the Month
                elseif(strlen($article["DATE"]) == 7) {
                    $articleDate = new DateTime($article["DATE"].'-01');
                    $articleDate = $articleDate->format("m/Y");
                } else {
                    $articleDate = new DateTime($article["DATE"]);
                    $articleDate = $articleDate->format("d/m/Y");
                }
        
                echo $articleDate;
?>
            </div>
            
            <ul id="collaborators">
<?php   
                foreach($article["COLLABS"] as $collaboration) { 
?>
                    <li><?=$collaboration["pseudo"]?></li>
<?php   
                } ?>
            </ul>
        </figcaption>
    </div>
</figure>


<!--
<section id="article-header" class="text-sm w-2/3">
    <img src="" class="h-48 w-48">
    <h1 class="text-xl font-bold"><?=$article["TITRE"]?></h1>
    <div id="article-date">Publié le
<?php
        $articleDate = new DateTime($article["DATE"]);
        $articleDate = $articleDate->format("d/m/Y");

        echo $articleDate;
?>
    </div>
    <ul id="collaborators">
<?php   
        foreach($article["COLLABS"] as $collaboration) { 
?>
            <li><?=$collaboration["pseudo"]?></li>
<?php   
        } ?>
    </ul>
</section>
-->

<section id="content" class="w-2/3 text-sm text-justify pr-10">
<?=$article["cooked"]?>
</section>

<?php   if ($debate) {?>
<section id="comments" class="w-2/3 text-sm text-justify pr-10">
    Des commentaires
</section>
<?php   } ?>

</div>
