<div class="mt-16 ml-auto mr-auto" style="width: 1200px;">
    <div class="w-1/3 float-right">
        <img class="w-full" src="<?=base_url("assets/images/home.svg")?>" alt="Image d'illustration">
    </div>
    <div class="w-2/3 float-left flex flex-wrap">
        <div class="w-full">
            <div class="bg-black-87 flex rounded-md mb-4 mr-4 p-4">
                <div>
                    <h2 class="uppercase text-xl font-bold"><a href="<?=site_url("about")?>">À propos</a></h2>
                    <div class="text-sm"><?=lang("Home.about.explanation")?></div>
                </div>
            </div>
        </div>
        <div class="w-1/2">
            <div class="bg-black-87 flex rounded-md mb-4 mr-4 p-4">
                <img class="w-20 h-20 mr-2" src="<?=base_url("assets/images/program.svg")?>" alt="Image d'illustration">
                <div>
                    <h2 class="uppercase text-xl font-bold"><a href="<?=site_url("program")?>">Programme</a></h2>
                    <div class="text-sm"><?=lang("Home.program.explanation")?></div>
                </div>
            </div>
        </div>
        <div class="w-1/2">
            <div class="bg-black-87 flex rounded-md mb-4 mr-4 p-4">
                <img class="w-20 h-20 mr-2" src="<?=base_url("assets/images/inscription.svg")?>" alt="Image d'illustration">
                <div>
                    <h2 class="uppercase text-xl font-bold"><a href="<?=site_url("inscription")?>">Dons</a></h2>
                    <div class="text-sm"><?=lang("Home.donation.explanation")?></div>
                </div>
            </div>
        </div>
        <div class="w-1/2">
            <div class="bg-black-87 flex rounded-md mb-4 mr-4 p-4">
                <img class="w-20 h-20 mr-2" src="<?=base_url("assets/images/blog.svg")?>" alt="Image d'illustration">
                <div>
                    <h2 class="uppercase text-xl font-bold"><a href="<?=site_url("article")?>">Blog</a></h2>
                    <div class="text-sm"><?=lang("Home.blog.explanation")?></div>
                </div>
            </div>
        </div>
        <div class="w-1/2">
            <div class="bg-black-87 flex rounded-md mb-4 mr-4 p-4">
                <img class="w-20 h-20 mr-2" src="<?=base_url("assets/images/network.svg")?>" alt="Image d'illustration">
                <div>
                    <h2 class="uppercase text-xl font-bold"><a href="<?=site_url("network")?>">Nos réseaux</a></h2>
                    <div class="text-sm"><?=lang("Home.network.explanation")?></div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="clear-both"></div>
</div>

<div class="mt-16 ml-auto mr-auto bg-black-87 w-screen">
<div class="ml-auto mr-auto" style="width: 1200px;">
    <div class="w-1/3 float-right mt-5 mb-5">
        <!-- image -->
        <h2 class="uppercase text-2xl font-bold">Diffusion Twitch</h2>
        <div class="text-sm mb-2"><a href="<?=site_url("network")?>" class="underline">Retrouvez plus d’actualités sur nos réseaux</a></div>
        <div id="twitch-partipirate" data-twitch="partipirate"></div>
    </div>
    <div class="w-2/3 float-left mt-5 mb-5">
        <h2 class="uppercase text-2xl font-bold">Derniers articles</h2>
        <div class="p-5">
            <div id="go-previous-article" class="float-left co-black-87 bg-black-07 rounded-full h-8 w-8 pl-2.5 pt-1 mt-20">
                <i class="fas fa-chevron-left"></i>
            </div>
            <div id="go-next-article" class="float-right co-black-87 bg-black-07 rounded-full h-8 w-8 pl-3 pt-1 mt-20">
                <i class="fas fa-chevron-right"></i>
            </div>
            <div id="article-carousel" class="flex">
<?php   foreach($articles as $index => $article) { ?>
                <div class="article text-center ml-2 mr-2">
                    <img class="h-48 md:h-48 w-auto" src="<?=$article["thumb"]?>" alt="Image d'illustration">
                    <h3 class="text-sm"><a href="<?=base_url("blog/" . $article["path"])?>" class="underline"><?=$article["TITRE"]?></a></h3>
                </div>
<?php   } ?>
            </div>
        </div>
    </div>
    
    <div class="clear-both"></div>
</div>
</div>

<script src= "https://player.twitch.tv/js/embed/v1.js"></script>
<script>

document.addEventListener("DOMContentLoaded", function() {
    const twitchDivs = document.querySelectorAll("div[data-twitch]");

    for(let index = 0; index < twitchDivs.length; ++index) {
        const twitchDiv = twitchDivs[index];
        const options = {
            width: 400,
            height: 226,
            channel: twitchDiv.getAttribute("data-twitch"),
            // only needed if your site is also embedded on embed.example.com and othersite.example.com
            parent: ["nantanor.teret-arts.com"]
        };
        const player = new Twitch.Player(twitchDiv.getAttribute("id"), options);
        player.setVolume(0.5);
    }
});

</script>